Bug 125116 - 2 * used before set
Summary: 2 * used before set
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: epiphany (Show other bugs)
(Show other bugs)
Version: 2
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Marco Pesenti Gritti
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-06-02 20:08 UTC by d.binderman
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-07 17:58:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description d.binderman 2004-06-02 20:08:04 UTC
Description of problem:

I just tried to compile package epiphany-1.2.4-1 from Redhat Fedora
Core2.

The compiler said

1.

ephy-history.c(136): remark #592: variable "history" is used before
its value is set

The source code is

        EphyHistory *history = EPHY_HISTORY (history);

Can't use a variable before it's been set. Suggest re-work
to avoid the un-initialised data.

2.

ephy-history.c(152): remark #592: variable "history" is used before
its value is set

Duplicate.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Marco Pesenti Gritti 2004-10-07 17:58:29 UTC
This has been fixed upstream in more recent 1.2.x versions.


Note You need to log in before you can comment on or make changes to this bug.